Bug 1606109 - remctl: FTBFS in F29: /bin/sh: line 2: python: command not found
Summary: remctl: FTBFS in F29: /bin/sh: line 2: python: command not found
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: remctl
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simon Wilkinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1585626 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 18:28 UTC by Mohan Boddu
Modified: 2019-11-27 18:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:15:55 UTC


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2018-07-20 18:28 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 18:28 UTC, Mohan Boddu
no flags Details
state.log (611 bytes, text/plain)
2018-07-20 18:28 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 18:28:09 UTC
remctl failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28227953


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix remctl at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
remctl will be orphaned. Before branching of Fedora 30,
remctl will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 18:28:19 UTC
Created attachment 1467360 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-20 18:28:23 UTC
Created attachment 1467361 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 18:28:27 UTC
Created attachment 1467362 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:04:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Petr Pisar 2018-09-17 14:47:51 UTC
make[2]: Leaving directory '/builddir/build/BUILD/remctl-3.14/php'
set -e; if [ x"." != x"." ] ; then	\
    for f in python/MANIFEST.in python/README python/_remctlmodule.c ; do			\
	cp "./$f" "./$f" ;		\
    done						\
fi
set -e; for python in python ; do		 \
    cd python							 \
	&& CFLAGS=" -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection " \
	"$python" setup.py build && cd .. ;			 \
done
/bin/sh: line 2: python: command not found
make[1]: *** [Makefile:4177: stamp-python] Error 127
make[1]: Leaving directory '/builddir/build/BUILD/remctl-3.14'
make: *** [Makefile:1662: all] Error 2

A difference between passing and failing build root is at <https://apps.fedoraproject.org/koschei/build/4962905>.

This is probably triggered by python2 change:

- Move /usr/bin/python into a separate package https://fedoraproject.org/wiki/Changes/Move_usr_bin_python_into_separate_package

Comment 6 Fedora Update System 2018-09-24 21:41:56 UTC
remctl-3.15-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f91915c55f

Comment 7 Fedora Update System 2018-09-24 21:42:34 UTC
remctl-3.15-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-12aea3d0ed

Comment 8 Fedora Update System 2018-09-24 21:42:57 UTC
remctl-3.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9138800f2c

Comment 9 Fedora Update System 2018-09-24 21:43:14 UTC
remctl-3.15-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8ce2266111

Comment 10 Ken Dreyer 2018-09-24 21:45:24 UTC
I've set REMCTL_PYTHON_VERSIONS, in https://src.fedoraproject.org/rpms/remctl/c/620e9cf2c2450f8c7159f3edb15c94f72368e845

Comment 11 Fedora Update System 2018-09-27 02:10:02 UTC
remctl-3.15-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f91915c55f

Comment 12 Fedora Update System 2018-09-27 03:52:04 UTC
remctl-3.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9138800f2c

Comment 13 Fedora Update System 2018-09-27 03:52:25 UTC
remctl-3.15-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8ce2266111

Comment 14 Fedora Update System 2018-09-27 04:47:11 UTC
remctl-3.15-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-12aea3d0ed

Comment 15 Ben Cotton 2019-10-31 20:40:55 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Petr Pisar 2019-11-01 12:41:02 UTC
This is fixed in F30, but the F29 build is still in testing.

Comment 17 Ben Cotton 2019-11-27 18:15:55 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.